Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network29.128.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
29.128.0.0
Broadcast address
29.255.255.255
First usable
29.128.0.1
Last usable
29.255.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 1D800000 · Integer 494927872 to 503316479
Reverse DNS zones
128.29.in-addr.arpa
129.29.in-addr.arpa
130.29.in-addr.arpa
131.29.in-addr.arpa
132.29.in-addr.arpa
133.29.in-addr.arpa
134.29.in-addr.arpa
135.29.in-addr.arpa
136.29.in-addr.arpa
137.29.in-addr.arpa
138.29.in-addr.arpa
139.29.in-addr.arpa
140.29.in-addr.arpa
141.29.in-addr.arpa
142.29.in-addr.arpa
143.29.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00011101.10000000.00000000.0000000029.128.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network00011101.10000000.00000000.0000000029.128.0.0
Broadcast00011101.11111111.11111111.1111111129.255.255.255
Split into smaller subnets/18

29.128.0.0/9 makes 512 subnets of /18; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
129.128.0.0/1829.128.0.1 to 29.128.63.25429.128.63.25516,382
229.128.64.0/1829.128.64.1 to 29.128.127.25429.128.127.25516,382
329.128.128.0/1829.128.128.1 to 29.128.191.25429.128.191.25516,382
429.128.192.0/1829.128.192.1 to 29.128.255.25429.128.255.25516,382
529.129.0.0/1829.129.0.1 to 29.129.63.25429.129.63.25516,382
629.129.64.0/1829.129.64.1 to 29.129.127.25429.129.127.25516,382
729.129.128.0/1829.129.128.1 to 29.129.191.25429.129.191.25516,382
829.129.192.0/1829.129.192.1 to 29.129.255.25429.129.255.25516,382
929.130.0.0/1829.130.0.1 to 29.130.63.25429.130.63.25516,382
1029.130.64.0/1829.130.64.1 to 29.130.127.25429.130.127.25516,382
1129.130.128.0/1829.130.128.1 to 29.130.191.25429.130.191.25516,382
1229.130.192.0/1829.130.192.1 to 29.130.255.25429.130.255.25516,382
1329.131.0.0/1829.131.0.1 to 29.131.63.25429.131.63.25516,382
1429.131.64.0/1829.131.64.1 to 29.131.127.25429.131.127.25516,382
1529.131.128.0/1829.131.128.1 to 29.131.191.25429.131.191.25516,382
1629.131.192.0/1829.131.192.1 to 29.131.255.25429.131.255.25516,382
1729.132.0.0/1829.132.0.1 to 29.132.63.25429.132.63.25516,382
1829.132.64.0/1829.132.64.1 to 29.132.127.25429.132.127.25516,382
1929.132.128.0/1829.132.128.1 to 29.132.191.25429.132.191.25516,382
2029.132.192.0/1829.132.192.1 to 29.132.255.25429.132.255.25516,382
2129.133.0.0/1829.133.0.1 to 29.133.63.25429.133.63.25516,382
2229.133.64.0/1829.133.64.1 to 29.133.127.25429.133.127.25516,382
2329.133.128.0/1829.133.128.1 to 29.133.191.25429.133.191.25516,382
2429.133.192.0/1829.133.192.1 to 29.133.255.25429.133.255.25516,382
2529.134.0.0/1829.134.0.1 to 29.134.63.25429.134.63.25516,382
2629.134.64.0/1829.134.64.1 to 29.134.127.25429.134.127.25516,382
2729.134.128.0/1829.134.128.1 to 29.134.191.25429.134.191.25516,382
2829.134.192.0/1829.134.192.1 to 29.134.255.25429.134.255.25516,382
2929.135.0.0/1829.135.0.1 to 29.135.63.25429.135.63.25516,382
3029.135.64.0/1829.135.64.1 to 29.135.127.25429.135.127.25516,382
3129.135.128.0/1829.135.128.1 to 29.135.191.25429.135.191.25516,382
3229.135.192.0/1829.135.192.1 to 29.135.255.25429.135.255.25516,382
3329.136.0.0/1829.136.0.1 to 29.136.63.25429.136.63.25516,382
3429.136.64.0/1829.136.64.1 to 29.136.127.25429.136.127.25516,382
3529.136.128.0/1829.136.128.1 to 29.136.191.25429.136.191.25516,382
3629.136.192.0/1829.136.192.1 to 29.136.255.25429.136.255.25516,382
3729.137.0.0/1829.137.0.1 to 29.137.63.25429.137.63.25516,382
3829.137.64.0/1829.137.64.1 to 29.137.127.25429.137.127.25516,382
3929.137.128.0/1829.137.128.1 to 29.137.191.25429.137.191.25516,382
4029.137.192.0/1829.137.192.1 to 29.137.255.25429.137.255.25516,382
4129.138.0.0/1829.138.0.1 to 29.138.63.25429.138.63.25516,382
4229.138.64.0/1829.138.64.1 to 29.138.127.25429.138.127.25516,382
4329.138.128.0/1829.138.128.1 to 29.138.191.25429.138.191.25516,382
4429.138.192.0/1829.138.192.1 to 29.138.255.25429.138.255.25516,382
4529.139.0.0/1829.139.0.1 to 29.139.63.25429.139.63.25516,382
4629.139.64.0/1829.139.64.1 to 29.139.127.25429.139.127.25516,382
4729.139.128.0/1829.139.128.1 to 29.139.191.25429.139.191.25516,382
4829.139.192.0/1829.139.192.1 to 29.139.255.25429.139.255.25516,382
4929.140.0.0/1829.140.0.1 to 29.140.63.25429.140.63.25516,382
5029.140.64.0/1829.140.64.1 to 29.140.127.25429.140.127.25516,382
5129.140.128.0/1829.140.128.1 to 29.140.191.25429.140.191.25516,382
5229.140.192.0/1829.140.192.1 to 29.140.255.25429.140.255.25516,382
5329.141.0.0/1829.141.0.1 to 29.141.63.25429.141.63.25516,382
5429.141.64.0/1829.141.64.1 to 29.141.127.25429.141.127.25516,382
5529.141.128.0/1829.141.128.1 to 29.141.191.25429.141.191.25516,382
5629.141.192.0/1829.141.192.1 to 29.141.255.25429.141.255.25516,382
5729.142.0.0/1829.142.0.1 to 29.142.63.25429.142.63.25516,382
5829.142.64.0/1829.142.64.1 to 29.142.127.25429.142.127.25516,382
5929.142.128.0/1829.142.128.1 to 29.142.191.25429.142.191.25516,382
6029.142.192.0/1829.142.192.1 to 29.142.255.25429.142.255.25516,382
6129.143.0.0/1829.143.0.1 to 29.143.63.25429.143.63.25516,382
6229.143.64.0/1829.143.64.1 to 29.143.127.25429.143.127.25516,382
6329.143.128.0/1829.143.128.1 to 29.143.191.25429.143.191.25516,382
6429.143.192.0/1829.143.192.1 to 29.143.255.25429.143.255.25516,382
6529.144.0.0/1829.144.0.1 to 29.144.63.25429.144.63.25516,382
6629.144.64.0/1829.144.64.1 to 29.144.127.25429.144.127.25516,382
6729.144.128.0/1829.144.128.1 to 29.144.191.25429.144.191.25516,382
6829.144.192.0/1829.144.192.1 to 29.144.255.25429.144.255.25516,382
6929.145.0.0/1829.145.0.1 to 29.145.63.25429.145.63.25516,382
7029.145.64.0/1829.145.64.1 to 29.145.127.25429.145.127.25516,382
7129.145.128.0/1829.145.128.1 to 29.145.191.25429.145.191.25516,382
7229.145.192.0/1829.145.192.1 to 29.145.255.25429.145.255.25516,382
7329.146.0.0/1829.146.0.1 to 29.146.63.25429.146.63.25516,382
7429.146.64.0/1829.146.64.1 to 29.146.127.25429.146.127.25516,382
7529.146.128.0/1829.146.128.1 to 29.146.191.25429.146.191.25516,382
7629.146.192.0/1829.146.192.1 to 29.146.255.25429.146.255.25516,382
7729.147.0.0/1829.147.0.1 to 29.147.63.25429.147.63.25516,382
7829.147.64.0/1829.147.64.1 to 29.147.127.25429.147.127.25516,382
7929.147.128.0/1829.147.128.1 to 29.147.191.25429.147.191.25516,382
8029.147.192.0/1829.147.192.1 to 29.147.255.25429.147.255.25516,382
8129.148.0.0/1829.148.0.1 to 29.148.63.25429.148.63.25516,382
8229.148.64.0/1829.148.64.1 to 29.148.127.25429.148.127.25516,382
8329.148.128.0/1829.148.128.1 to 29.148.191.25429.148.191.25516,382
8429.148.192.0/1829.148.192.1 to 29.148.255.25429.148.255.25516,382
8529.149.0.0/1829.149.0.1 to 29.149.63.25429.149.63.25516,382
8629.149.64.0/1829.149.64.1 to 29.149.127.25429.149.127.25516,382
8729.149.128.0/1829.149.128.1 to 29.149.191.25429.149.191.25516,382
8829.149.192.0/1829.149.192.1 to 29.149.255.25429.149.255.25516,382
8929.150.0.0/1829.150.0.1 to 29.150.63.25429.150.63.25516,382
9029.150.64.0/1829.150.64.1 to 29.150.127.25429.150.127.25516,382
9129.150.128.0/1829.150.128.1 to 29.150.191.25429.150.191.25516,382
9229.150.192.0/1829.150.192.1 to 29.150.255.25429.150.255.25516,382
9329.151.0.0/1829.151.0.1 to 29.151.63.25429.151.63.25516,382
9429.151.64.0/1829.151.64.1 to 29.151.127.25429.151.127.25516,382
9529.151.128.0/1829.151.128.1 to 29.151.191.25429.151.191.25516,382
9629.151.192.0/1829.151.192.1 to 29.151.255.25429.151.255.25516,382
9729.152.0.0/1829.152.0.1 to 29.152.63.25429.152.63.25516,382
9829.152.64.0/1829.152.64.1 to 29.152.127.25429.152.127.25516,382
9929.152.128.0/1829.152.128.1 to 29.152.191.25429.152.191.25516,382
10029.152.192.0/1829.152.192.1 to 29.152.255.25429.152.255.25516,382
10129.153.0.0/1829.153.0.1 to 29.153.63.25429.153.63.25516,382
10229.153.64.0/1829.153.64.1 to 29.153.127.25429.153.127.25516,382
10329.153.128.0/1829.153.128.1 to 29.153.191.25429.153.191.25516,382
10429.153.192.0/1829.153.192.1 to 29.153.255.25429.153.255.25516,382
10529.154.0.0/1829.154.0.1 to 29.154.63.25429.154.63.25516,382
10629.154.64.0/1829.154.64.1 to 29.154.127.25429.154.127.25516,382
10729.154.128.0/1829.154.128.1 to 29.154.191.25429.154.191.25516,382
10829.154.192.0/1829.154.192.1 to 29.154.255.25429.154.255.25516,382
10929.155.0.0/1829.155.0.1 to 29.155.63.25429.155.63.25516,382
11029.155.64.0/1829.155.64.1 to 29.155.127.25429.155.127.25516,382
11129.155.128.0/1829.155.128.1 to 29.155.191.25429.155.191.25516,382
11229.155.192.0/1829.155.192.1 to 29.155.255.25429.155.255.25516,382
11329.156.0.0/1829.156.0.1 to 29.156.63.25429.156.63.25516,382
11429.156.64.0/1829.156.64.1 to 29.156.127.25429.156.127.25516,382
11529.156.128.0/1829.156.128.1 to 29.156.191.25429.156.191.25516,382
11629.156.192.0/1829.156.192.1 to 29.156.255.25429.156.255.25516,382
11729.157.0.0/1829.157.0.1 to 29.157.63.25429.157.63.25516,382
11829.157.64.0/1829.157.64.1 to 29.157.127.25429.157.127.25516,382
11929.157.128.0/1829.157.128.1 to 29.157.191.25429.157.191.25516,382
12029.157.192.0/1829.157.192.1 to 29.157.255.25429.157.255.25516,382
12129.158.0.0/1829.158.0.1 to 29.158.63.25429.158.63.25516,382
12229.158.64.0/1829.158.64.1 to 29.158.127.25429.158.127.25516,382
12329.158.128.0/1829.158.128.1 to 29.158.191.25429.158.191.25516,382
12429.158.192.0/1829.158.192.1 to 29.158.255.25429.158.255.25516,382
12529.159.0.0/1829.159.0.1 to 29.159.63.25429.159.63.25516,382
12629.159.64.0/1829.159.64.1 to 29.159.127.25429.159.127.25516,382
12729.159.128.0/1829.159.128.1 to 29.159.191.25429.159.191.25516,382
12829.159.192.0/1829.159.192.1 to 29.159.255.25429.159.255.25516,382
12929.160.0.0/1829.160.0.1 to 29.160.63.25429.160.63.25516,382
13029.160.64.0/1829.160.64.1 to 29.160.127.25429.160.127.25516,382
13129.160.128.0/1829.160.128.1 to 29.160.191.25429.160.191.25516,382
13229.160.192.0/1829.160.192.1 to 29.160.255.25429.160.255.25516,382
13329.161.0.0/1829.161.0.1 to 29.161.63.25429.161.63.25516,382
13429.161.64.0/1829.161.64.1 to 29.161.127.25429.161.127.25516,382
13529.161.128.0/1829.161.128.1 to 29.161.191.25429.161.191.25516,382
13629.161.192.0/1829.161.192.1 to 29.161.255.25429.161.255.25516,382
13729.162.0.0/1829.162.0.1 to 29.162.63.25429.162.63.25516,382
13829.162.64.0/1829.162.64.1 to 29.162.127.25429.162.127.25516,382
13929.162.128.0/1829.162.128.1 to 29.162.191.25429.162.191.25516,382
14029.162.192.0/1829.162.192.1 to 29.162.255.25429.162.255.25516,382
14129.163.0.0/1829.163.0.1 to 29.163.63.25429.163.63.25516,382
14229.163.64.0/1829.163.64.1 to 29.163.127.25429.163.127.25516,382
14329.163.128.0/1829.163.128.1 to 29.163.191.25429.163.191.25516,382
14429.163.192.0/1829.163.192.1 to 29.163.255.25429.163.255.25516,382
14529.164.0.0/1829.164.0.1 to 29.164.63.25429.164.63.25516,382
14629.164.64.0/1829.164.64.1 to 29.164.127.25429.164.127.25516,382
14729.164.128.0/1829.164.128.1 to 29.164.191.25429.164.191.25516,382
14829.164.192.0/1829.164.192.1 to 29.164.255.25429.164.255.25516,382
14929.165.0.0/1829.165.0.1 to 29.165.63.25429.165.63.25516,382
15029.165.64.0/1829.165.64.1 to 29.165.127.25429.165.127.25516,382
15129.165.128.0/1829.165.128.1 to 29.165.191.25429.165.191.25516,382
15229.165.192.0/1829.165.192.1 to 29.165.255.25429.165.255.25516,382
15329.166.0.0/1829.166.0.1 to 29.166.63.25429.166.63.25516,382
15429.166.64.0/1829.166.64.1 to 29.166.127.25429.166.127.25516,382
15529.166.128.0/1829.166.128.1 to 29.166.191.25429.166.191.25516,382
15629.166.192.0/1829.166.192.1 to 29.166.255.25429.166.255.25516,382
15729.167.0.0/1829.167.0.1 to 29.167.63.25429.167.63.25516,382
15829.167.64.0/1829.167.64.1 to 29.167.127.25429.167.127.25516,382
15929.167.128.0/1829.167.128.1 to 29.167.191.25429.167.191.25516,382
16029.167.192.0/1829.167.192.1 to 29.167.255.25429.167.255.25516,382
16129.168.0.0/1829.168.0.1 to 29.168.63.25429.168.63.25516,382
16229.168.64.0/1829.168.64.1 to 29.168.127.25429.168.127.25516,382
16329.168.128.0/1829.168.128.1 to 29.168.191.25429.168.191.25516,382
16429.168.192.0/1829.168.192.1 to 29.168.255.25429.168.255.25516,382
16529.169.0.0/1829.169.0.1 to 29.169.63.25429.169.63.25516,382
16629.169.64.0/1829.169.64.1 to 29.169.127.25429.169.127.25516,382
16729.169.128.0/1829.169.128.1 to 29.169.191.25429.169.191.25516,382
16829.169.192.0/1829.169.192.1 to 29.169.255.25429.169.255.25516,382
16929.170.0.0/1829.170.0.1 to 29.170.63.25429.170.63.25516,382
17029.170.64.0/1829.170.64.1 to 29.170.127.25429.170.127.25516,382
17129.170.128.0/1829.170.128.1 to 29.170.191.25429.170.191.25516,382
17229.170.192.0/1829.170.192.1 to 29.170.255.25429.170.255.25516,382
17329.171.0.0/1829.171.0.1 to 29.171.63.25429.171.63.25516,382
17429.171.64.0/1829.171.64.1 to 29.171.127.25429.171.127.25516,382
17529.171.128.0/1829.171.128.1 to 29.171.191.25429.171.191.25516,382
17629.171.192.0/1829.171.192.1 to 29.171.255.25429.171.255.25516,382
17729.172.0.0/1829.172.0.1 to 29.172.63.25429.172.63.25516,382
17829.172.64.0/1829.172.64.1 to 29.172.127.25429.172.127.25516,382
17929.172.128.0/1829.172.128.1 to 29.172.191.25429.172.191.25516,382
18029.172.192.0/1829.172.192.1 to 29.172.255.25429.172.255.25516,382
18129.173.0.0/1829.173.0.1 to 29.173.63.25429.173.63.25516,382
18229.173.64.0/1829.173.64.1 to 29.173.127.25429.173.127.25516,382
18329.173.128.0/1829.173.128.1 to 29.173.191.25429.173.191.25516,382
18429.173.192.0/1829.173.192.1 to 29.173.255.25429.173.255.25516,382
18529.174.0.0/1829.174.0.1 to 29.174.63.25429.174.63.25516,382
18629.174.64.0/1829.174.64.1 to 29.174.127.25429.174.127.25516,382
18729.174.128.0/1829.174.128.1 to 29.174.191.25429.174.191.25516,382
18829.174.192.0/1829.174.192.1 to 29.174.255.25429.174.255.25516,382
18929.175.0.0/1829.175.0.1 to 29.175.63.25429.175.63.25516,382
19029.175.64.0/1829.175.64.1 to 29.175.127.25429.175.127.25516,382
19129.175.128.0/1829.175.128.1 to 29.175.191.25429.175.191.25516,382
19229.175.192.0/1829.175.192.1 to 29.175.255.25429.175.255.25516,382
19329.176.0.0/1829.176.0.1 to 29.176.63.25429.176.63.25516,382
19429.176.64.0/1829.176.64.1 to 29.176.127.25429.176.127.25516,382
19529.176.128.0/1829.176.128.1 to 29.176.191.25429.176.191.25516,382
19629.176.192.0/1829.176.192.1 to 29.176.255.25429.176.255.25516,382
19729.177.0.0/1829.177.0.1 to 29.177.63.25429.177.63.25516,382
19829.177.64.0/1829.177.64.1 to 29.177.127.25429.177.127.25516,382
19929.177.128.0/1829.177.128.1 to 29.177.191.25429.177.191.25516,382
20029.177.192.0/1829.177.192.1 to 29.177.255.25429.177.255.25516,382
20129.178.0.0/1829.178.0.1 to 29.178.63.25429.178.63.25516,382
20229.178.64.0/1829.178.64.1 to 29.178.127.25429.178.127.25516,382
20329.178.128.0/1829.178.128.1 to 29.178.191.25429.178.191.25516,382
20429.178.192.0/1829.178.192.1 to 29.178.255.25429.178.255.25516,382
20529.179.0.0/1829.179.0.1 to 29.179.63.25429.179.63.25516,382
20629.179.64.0/1829.179.64.1 to 29.179.127.25429.179.127.25516,382
20729.179.128.0/1829.179.128.1 to 29.179.191.25429.179.191.25516,382
20829.179.192.0/1829.179.192.1 to 29.179.255.25429.179.255.25516,382
20929.180.0.0/1829.180.0.1 to 29.180.63.25429.180.63.25516,382
21029.180.64.0/1829.180.64.1 to 29.180.127.25429.180.127.25516,382
21129.180.128.0/1829.180.128.1 to 29.180.191.25429.180.191.25516,382
21229.180.192.0/1829.180.192.1 to 29.180.255.25429.180.255.25516,382
21329.181.0.0/1829.181.0.1 to 29.181.63.25429.181.63.25516,382
21429.181.64.0/1829.181.64.1 to 29.181.127.25429.181.127.25516,382
21529.181.128.0/1829.181.128.1 to 29.181.191.25429.181.191.25516,382
21629.181.192.0/1829.181.192.1 to 29.181.255.25429.181.255.25516,382
21729.182.0.0/1829.182.0.1 to 29.182.63.25429.182.63.25516,382
21829.182.64.0/1829.182.64.1 to 29.182.127.25429.182.127.25516,382
21929.182.128.0/1829.182.128.1 to 29.182.191.25429.182.191.25516,382
22029.182.192.0/1829.182.192.1 to 29.182.255.25429.182.255.25516,382
22129.183.0.0/1829.183.0.1 to 29.183.63.25429.183.63.25516,382
22229.183.64.0/1829.183.64.1 to 29.183.127.25429.183.127.25516,382
22329.183.128.0/1829.183.128.1 to 29.183.191.25429.183.191.25516,382
22429.183.192.0/1829.183.192.1 to 29.183.255.25429.183.255.25516,382
22529.184.0.0/1829.184.0.1 to 29.184.63.25429.184.63.25516,382
22629.184.64.0/1829.184.64.1 to 29.184.127.25429.184.127.25516,382
22729.184.128.0/1829.184.128.1 to 29.184.191.25429.184.191.25516,382
22829.184.192.0/1829.184.192.1 to 29.184.255.25429.184.255.25516,382
22929.185.0.0/1829.185.0.1 to 29.185.63.25429.185.63.25516,382
23029.185.64.0/1829.185.64.1 to 29.185.127.25429.185.127.25516,382
23129.185.128.0/1829.185.128.1 to 29.185.191.25429.185.191.25516,382
23229.185.192.0/1829.185.192.1 to 29.185.255.25429.185.255.25516,382
23329.186.0.0/1829.186.0.1 to 29.186.63.25429.186.63.25516,382
23429.186.64.0/1829.186.64.1 to 29.186.127.25429.186.127.25516,382
23529.186.128.0/1829.186.128.1 to 29.186.191.25429.186.191.25516,382
23629.186.192.0/1829.186.192.1 to 29.186.255.25429.186.255.25516,382
23729.187.0.0/1829.187.0.1 to 29.187.63.25429.187.63.25516,382
23829.187.64.0/1829.187.64.1 to 29.187.127.25429.187.127.25516,382
23929.187.128.0/1829.187.128.1 to 29.187.191.25429.187.191.25516,382
24029.187.192.0/1829.187.192.1 to 29.187.255.25429.187.255.25516,382
24129.188.0.0/1829.188.0.1 to 29.188.63.25429.188.63.25516,382
24229.188.64.0/1829.188.64.1 to 29.188.127.25429.188.127.25516,382
24329.188.128.0/1829.188.128.1 to 29.188.191.25429.188.191.25516,382
24429.188.192.0/1829.188.192.1 to 29.188.255.25429.188.255.25516,382
24529.189.0.0/1829.189.0.1 to 29.189.63.25429.189.63.25516,382
24629.189.64.0/1829.189.64.1 to 29.189.127.25429.189.127.25516,382
24729.189.128.0/1829.189.128.1 to 29.189.191.25429.189.191.25516,382
24829.189.192.0/1829.189.192.1 to 29.189.255.25429.189.255.25516,382
24929.190.0.0/1829.190.0.1 to 29.190.63.25429.190.63.25516,382
25029.190.64.0/1829.190.64.1 to 29.190.127.25429.190.127.25516,382
25129.190.128.0/1829.190.128.1 to 29.190.191.25429.190.191.25516,382
25229.190.192.0/1829.190.192.1 to 29.190.255.25429.190.255.25516,382
25329.191.0.0/1829.191.0.1 to 29.191.63.25429.191.63.25516,382
25429.191.64.0/1829.191.64.1 to 29.191.127.25429.191.127.25516,382
25529.191.128.0/1829.191.128.1 to 29.191.191.25429.191.191.25516,382
25629.191.192.0/1829.191.192.1 to 29.191.255.25429.191.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses